Core - Task # 56797

Status: Resolved Priority:
Author: Markus Klein Category:

Created: 2014-03-11 Assigned To:

Updated: 2014-03-12 Due date:

Must have
Default
Markus Klein

TYPO3 Version: 6.2
PHP Version:

Complexity: easy
Sprint Focus:

Subject: Cleanup ClassLoader

Description

Related issues:

related to Core - Bug # 56993: Cached classloader fails with fluid and is_cal...
related to Core - Bug # 57094: TCA eval 'int+' fails with a fatal error

related to Core - Bug # 56822: InvalidArgumentException in ActionControllerTest
precedes Core - Bug # 54906: Fatal error: Interface 'Psr\Log\LoggerInterface'...

Resolved
Rejected

Resolved
Resolved

2014-03-17
2014-03-20
2014-03-12
2014-03-12

2014-03-12

Associated revisions

Revision 2eaa891a - 2014-03-12 14:05 - Markus Klein

[CLEANUP] ClassLoader

Add methods to better structure class information loading/creation.
This is necessary as the follow up patches will need this code

more often.

Resolves: #56797

Releases: 6.2

Change-Id: 11f15fbd262036b6b2d0159cd0e9613ad7135a296
Reviewed-on: https://review.typo3.org/28279

Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter
Reviewed-by: Sebastian Fischer
Reviewed-by: Patrick Broens

Tested-by: Patrick Broens

Revision 855ca509 - 2014-03-12 14:27 - Steffen Ritter

[BUGFIX] FollowUp to #56797 in 11f15fbd262036b6b2d0159cd0e9613ad7135a296

Somehow a double $this->$this slipped into the cleanup on line 390
which now fatals. This needs to be fixed.

Resolves: #56797

Releases: 6.2

Change-Id: Ibb23b5f56¢95106c4feabe9a3ba09fbc9f9905dd
Reviewed-on: https://review.typo3.org/28296

Reviewed-by: Ernesto Baschny
Tested-by: Ernesto Baschny

2015-08-04
https://review.typo3.org/28279
https://review.typo3.org/28296

History

#1 - 2014-03-11 23:36 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28279

#2 - 2014-03-11 23:39 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28279

#3 - 2014-03-11 23:50 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28279

#4 - 2014-03-11 23:51 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28279

#5 - 2014-03-12 13:53 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28279

#6 - 2014-03-12 14:02 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28279

#7 - 2014-03-12 14:25 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28296

#8 - 2014-03-12 14:25 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28296

#9 - 2014-03-12 14:30 - Steffen Ritter
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:855ca50997b30d530dd4b3cale454a71c74abf2b.
